import java.awt.List;
import java.io.*;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Map;
import java.util.Queue;
import java.util.Scanner;
import java.util.StringTokenizer;

import javax.management.Query;

public class sentinels_nk {

	BufferedReader in;
	StringTokenizer str;
	PrintWriter out;

	String next() throws IOException {
		String help;
		while ((str == null) || (!str.hasMoreTokens())) {
			help = in.readLine();
			if (help == null) {
				return null;
			}
			str = new StringTokenizer(help);
		}
		return str.nextToken();
	}

	int nextInt() throws IOException {
		return Integer.parseInt(next());
	}


	public void solve() throws IOException {
		in = new BufferedReader(new FileReader("sentinels.in"));
		out = new PrintWriter("sentinels.out");
		int n = nextInt();
		int m = nextInt();
		int x = nextInt();
		int y = nextInt();
		int k = nextInt();
		int sum = 0;
		for (int i = 1; i<=n; i++){
			for (int j = 1; j<=m; j++){
				if (Math.abs(x-i) + Math.abs(y-j)<=k){
					sum++;
				}
			}
		}
		out.print(sum-1);
		out.close();
	}

	static void myAssert(boolean b, String string) {
		if (!b) {
			throw new AssertionError(string);
		}
	}

	public static void main(String[] args) throws IOException {
		new sentinels_nk().solve();
	}
}